#!/bin/sh
# the next line restarts using tclsh \
    exec tclsh "$0" "$@"

# example of how to use the linkcheck Tcl library.

source [file join . linkcheck.tcl]

linkcheck::Init [lindex $argv 0]

linkcheck::Robots

linkcheck::Configure depth 3
linkcheck::Run

puts "[linkcheck::Stats visited] links visited"
puts "[linkcheck::Stats good] links were OK"
puts "[linkcheck::Stats bad] bad links"
puts "Bad links:"
foreach ln [lsort [linkcheck::Stats code 4??]] {
    puts "	$ln"
    puts "	which is linked from the following pages:"
    foreach pg [lsort [linkcheck::Stats linkedfrom $ln]] {
	puts "		$pg"
    }
}

linkcheck::End